# Class IteratorRowSequence.PackagedIOException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
uk.ac.starlink.table.IteratorRowSequence.PackagedIOException

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `IteratorRowSequence`

public static class IteratorRowSequence.PackagedIOException extends RuntimeException
Unchecked exception class to be used for smuggling `IOException`s out of the `next` method of an Iterator for use by `IteratorRowSequence`

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`PackagedIOException(IOException e)`
Construct an unchecked exception packaging a given IOException.

## Method Summary

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### PackagedIOException

public PackagedIOException(IOException e)
Construct an unchecked exception packaging a given IOException.

Parameters:
  `e` - the packaged exception